/*
  GNOME Cloned Less
  Copyright (C) 1999 Tero Koskinen

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 
*/

#include <stdio.h>
#include <config.h>

#include <gnome.h>

#include "app.hh"

#ifndef TK_CALLBACKS_HH
#define TK_CALLBAKCS_HH

void app_quit(GtkWidget *,App *app);
void de_app_quit(GtkWidget *widget, GdkEvent *event, gpointer data);
void cancel_callback(GtkWidget *,GtkWidget **w);
void create_file_selection_callback(GtkWidget *,App *app);
void open_file_callback(GtkWidget *,App *app);
void uncompress_file_callback(GtkWidget *,App *app);
void select_list_row_callback(GtkCList *,gint row,gint,GdkEventButton *,
			      App *app);
void unselect_list_row_callback(GtkCList *,gint row,gint,GdkEventButton *,
				App *app);
void dialog_uncompress_callback(GtkWidget *,App *app);
void selected_file_toggled_callback(GtkWidget *,App *);
void test_archive_callback(GtkWidget *,App *app);
void view_callback(GtkWidget *,App *app);
void view_dialog_clicked_callback(gchar *string,App *app);
void about_callback(GtkWidget *,App *app);
void preferences_callback(GtkWidget *,App *app);
void dnd_drop_callback(GtkWidget *,GdkDragContext *,gint x,gint y,
		       GtkSelectionData *selection_data ,
		       guint info, guint time, App *app );
void dnd_drag_callback(GtkWidget        *widget,
		       GdkDragContext   *context,
		       GtkSelectionData *selection_data,
		       guint             info,
		       guint             time,
		       App *app);

void toggled_pBtn1_callback(GtkWidget *,App *app);
void apply_prefs_callback(GtkWidget *,gint,App *app);
#endif
